Subject: bug#17086: closed (Re: bug#17086: Reg : Bug in Grep command)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Mar 2014 18:56:02 +0000

Your bug report

#17086: Reg : Bug in Grep command

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17086: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17086
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17086: Reg : Bug in Grep command
From: Paul Eggert <[email-masked]>
To: Norihiro Tanaka <[email-masked]>, Senthil Kumar <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Mar 2014 11:55:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/25/2014 09:01 AM, Norihiro Tanaka wrote:
> I don't seem that it's a grep's bug.

Agreed, and closing the bug.

Subject: Reg : Bug in Grep command
From: Senthil Kumar <[email-masked]>
To: [email-masked]
Date: Mon, 24 Mar 2014 19:10:53 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Person,

I have found a bug in the below environment and using grep along with REGEX.

*My aim*: To search a names having "Mr.*" and "Mrs.*" in f1.dat file

$ cat /etc/*-release
Enterprise Linux Enterprise Linux Server release 5.8 (Carthage)
Oracle Linux Server release 5.8
Red Hat Enterprise Linux Server release 5.8 (Tikanga)

*$ cat f1.dat*
*Output:*
MRavi
Mr.Kumar
Mrs.Linda
Mrs.Lily
Mr.Gul
Mr.Tent
Mrs.Forrest
Mr.Hammer

*$ grep -r "Mr.*" f1.dat*
*Output:*
Mr.Kumar
Mrs.Linda
Mrs.Lily
Mr.Gul
Mr.Tent
Mrs.Forrest
Mr.Hammer

*$ grep -r "Mrs.*" f1.dat*
*Output:*
Mrs.Linda
Mrs.Lily
Mrs.Forrest

I see the command (*$ grep -r "Mr.*" f1.dat*) is getting retrieved all
names having both

*Mr. and Mrs.*
please do let me know is this defect ? Hoping to get an revert mail on this.

-- 

* Thanks & Regards,KK Senthil Kumar*